Bug 259335 - emulators/fs-uae: Update to 3.1.35
Summary: emulators/fs-uae: Update to 3.1.35
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-21 09:53 UTC by Gian-Simon Purkert
Modified: 2021-10-26 11:28 UTC (History)
2 users (show)

See Also:
sirdice: maintainer-feedback+
sirdice: maintainer-feedback+
sirdice: exp-run?


Attachments
Update to 3.1.35 (910 bytes, patch)
2021-10-21 09:53 UTC, Gian-Simon Purkert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gian-Simon Purkert 2021-10-21 09:53:17 UTC
Created attachment 228917 [details]
Update to 3.1.35

HP not updated but stable release is out (2021-10-11):

https://fs-uae.net/stable/

Release information's not updated atm:

https://fs-uae.net/category/stable-releases
Comment 1 sirdice 2021-10-21 10:17:45 UTC
Was already notified by portscout about this version. But there was no mention of a new release on the website so didn't update the port yet. Didn't find anything worthwhile in the changelog either. I did already do a test build with the new version, it builds and works. 

Patch looks fine to me, it didn't involve much more than just changing the version in the Makefile and updating the distfile.
Comment 2 sirdice 2021-10-21 10:23:32 UTC
For reference, this is the changelog that's included with the source:

Version 3.1:

* Fix device helper for xinput devices with recent SDL2 versions.
* Support for multiple mice disabled by default on macOS due to security
  warning. Use option multiple_mice = 1 to enable.
* Disable expect_version option (no longer synchronized with launcher).
* Added support for more physical keys (when using rawinput).
* Compilation fixes for Apple M1 hardware.
* Netplay desync fixes related to file system (directory hard drives).
* Better virtual memory reservation algorithm.
* Option to automatically pause on menu screen [mrsilver76].
* Use RTLD_DEEPBIND with dlopen on Linux when loading plugins.
* Changes to how plugins are looked up.
* Ide patch.
* SCP floppy image doesn't wrap to revolution #0 cleanly [keirf].
* Fixed crash in nname_to_aname [PowderedToastMan].
Comment 3 sirdice 2021-10-21 16:06:10 UTC
Comment on attachment 228917 [details]
Update to 3.1.35

Patch is good, same as the one I created before.
Comment 4 commit-hook freebsd_committer 2021-10-26 11:27:29 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=70bb127a5d5ce1f4ee484d57ceee8f2d9322ef6c

commit 70bb127a5d5ce1f4ee484d57ceee8f2d9322ef6c
Author:     Gian-Simon Purkert <gspurki@gmail.com>
AuthorDate: 2021-10-26 11:24:37 +0000
Commit:     Mikael Urankar <mikael@FreeBSD.org>
CommitDate: 2021-10-26 11:24:37 +0000

    emulators/fs-uae: Update to 3.1.35

    Changelog:
      Version 3.1:

      * Fix device helper for xinput devices with recent SDL2 versions.
      * Support for multiple mice disabled by default on macOS due to security
        warning. Use option multiple_mice = 1 to enable.
      * Disable expect_version option (no longer synchronized with launcher).
      * Added support for more physical keys (when using rawinput).
      * Compilation fixes for Apple M1 hardware.
      * Netplay desync fixes related to file system (directory hard drives).
      * Better virtual memory reservation algorithm.
      * Option to automatically pause on menu screen [mrsilver76].
      * Use RTLD_DEEPBIND with dlopen on Linux when loading plugins.
      * Changes to how plugins are looked up.
      * Ide patch.
      * SCP floppy image doesn't wrap to revolution #0 cleanly [keirf].
      * Fixed crash in nname_to_aname [PowderedToastMan].

    PR:             259335
    Approved by:    sirdice (maintainer)

 emulators/fs-uae/Makefile | 3 +--
 emulators/fs-uae/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 5 deletions(-)